Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 670063006: Stop checking for duplicate basenames (Closed)

Created:
3 years, 1 month ago by mdempsky
Modified:
2 years, 6 months ago
Reviewers:
Nico, scottmg
CC:
gyp-developer_googlegroups.com
Visibility:
Public.

Description

Stop checking for duplicate basenames Chromium doesn't care about MSVC08 or Mac OS X makefiles anymore, whereas some third_party libraries we'd like to use within Chromium contain source files with duplicate basenames. Discussion link: https://groups.google.com/a/chromium.org/d/msg/chromium-dev/0rDiXgLvywY/sm0LSj-hiDIJ Patch from mdempsky@chromium.org R=scottmg@chromium.org Committed: https://code.google.com/p/gyp/source/detail?r=1993

Patch Set 1 #

Total comments: 4

Patch Set 2 : s/fails/succeeds/ per scottmg@ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -94 lines) Patch
M pylib/gyp/__init__.py View 4 chunks +2 lines, -14 lines 0 comments Download
M pylib/gyp/input.py View 4 chunks +1 line, -39 lines 0 comments Download
D test/errors/duplicate_basenames.gyp View 1 chunk +0 lines, -13 lines 0 comments Download
M test/errors/gyptest-errors.py View 1 chunk +0 lines, -13 lines 0 comments Download
M test/same-source-file-name/gyptest-shared.py View 1 2 chunks +3 lines, -7 lines 0 comments Download
M test/same-source-file-name/gyptest-static.py View 1 2 chunks +3 lines, -8 lines 0 comments Download

Messages

Total messages: 14 (2 generated)
mdempsky
3 years, 1 month ago (2014-10-23 22:53:54 UTC) #2
scottmg
lgtm https://codereview.chromium.org/670063006/diff/1/test/same-source-file-name/gyptest-shared.py File test/same-source-file-name/gyptest-shared.py (left): https://codereview.chromium.org/670063006/diff/1/test/same-source-file-name/gyptest-shared.py#oldcode8 test/same-source-file-name/gyptest-shared.py:8: Checks that gyp fails on shared_library targets which ...
3 years, 1 month ago (2014-10-23 22:59:44 UTC) #3
mdempsky
https://codereview.chromium.org/670063006/diff/1/test/same-source-file-name/gyptest-shared.py File test/same-source-file-name/gyptest-shared.py (left): https://codereview.chromium.org/670063006/diff/1/test/same-source-file-name/gyptest-shared.py#oldcode8 test/same-source-file-name/gyptest-shared.py:8: Checks that gyp fails on shared_library targets which have ...
3 years, 1 month ago (2014-10-23 23:08:56 UTC) #4
scottmg
Could you also please add some rationale to the CL description? Then I can trybot/land.
3 years, 1 month ago (2014-10-23 23:13:42 UTC) #5
mdempsky
On 2014/10/23 23:13:42, scottmg wrote: > Could you also please add some rationale to the ...
3 years, 1 month ago (2014-10-23 23:17:47 UTC) #6
scottmg
Thanks, I'll let when bots look ok.
3 years, 1 month ago (2014-10-23 23:18:35 UTC) #7
scottmg
On 2014/10/23 23:18:35, scottmg wrote: > Thanks, I'll let when bots look ok. Er, s/let/land/
3 years, 1 month ago (2014-10-23 23:19:36 UTC) #8
scottmg
Committed patchset #2 (id:20001) manually as 1993 (presubmit successful).
3 years, 1 month ago (2014-10-24 00:15:58 UTC) #9
Nico
This does not lgtm. If targets have multiple identical basenames, libtools will print warnings on ...
2 years, 6 months ago (2015-05-21 19:36:42 UTC) #11
scottmg
On 2015/05/21 19:36:42, Nico wrote: > This does not lgtm. If targets have multiple identical ...
2 years, 6 months ago (2015-05-21 19:39:37 UTC) #12
scottmg
(Any chance of complaining to libtool owners, btw?)
2 years, 6 months ago (2015-05-21 19:41:51 UTC) #13
yukawa
2 years, 6 months ago (2015-05-21 20:20:05 UTC) #14
Message was sent while issue was closed.
On 2015/05/21 19:41:51, scottmg wrote:
> (Any chance of complaining to libtool owners, btw?)

Last time I checked, xcode worked around that limitation by internally renaming
duplicate basenames.  Perhaps we could do the same thing in gyp/Ninja layer?

Powered by Google App Engine
This is Rietveld efc10ee0f